# Built-In Role Summary

| Role                             | Scope                        | Intended use                | Notable limits            |
| -------------------------------- | ---------------------------- | --------------------------- | ------------------------- |
| `cluster-admin`                  | Cluster-wide                 | Full cluster administration | No practical restrictions |
| `admin`                          | <p>Namespace when bound with |                             |                           |
| <br>a                            |                              |                             |                           |
| <br><code>RoleBinding</code></p> | Namespace administrators     | Not cluster-wide by itself  |                           |
| `edit`                           | <p>Namespace when bound with |                             |                           |
| <br>a                            |                              |                             |                           |
| <br><code>RoleBinding</code></p> | <p>Developers who need       |                             |                           |
| <br>read/write access</p>        | <p>Does not manage RBAC      |                             |                           |
| <br>policy</p>                   |                              |                             |                           |
| `view`                           | <p>Namespace when bound with |                             |                           |
| <br>a                            |                              |                             |                           |
| <br><code>RoleBinding</code></p> | Read-only users              | <p>Cannot read              |                           |
| <br><code>Secret</code>          |                              |                             |                           |
| <br>objects by default</p>       |                              |                             |                           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudeka.ai/guidance-for-individual/reference/kubernetes-user-creation-with-rbac/built-in-role-summary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
